futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Internalise.LiftLambdas

Description

Lambda-lifting of typed, monomorphic Futhark programs without modules. After this pass, the program will no longer contain any `LetFun`s or `Lambda`s.

Synopsis

- transformProg :: MonadFreshNames m => [ValBind] -> m [ValBind]

# Documentation

transformProg :: MonadFreshNames m => [ValBind] -> m [ValBind] Source #

Perform the transformation.